# USB Thermography API library for OTK-THG series

## Classes

### OaktreeLab.IO.USBThermography

#### new USBThermography()
Create new instance and connect to USB thermography module found first.

#### new USBThermography( string path )
Create new instance and connect to USB thermography module specified by the path name.

#### Dispose()
Dispose all objects related. **Be sure to call this before terminate the program.**

#### SetEmissivity( double emissivity )
Set emissivity of the object.

#### SetRefreshRate( int refresh )
Set refresh rate of the sensor. The value can be selected from 1, 2, 4, 8, 16 and 0 (means 0.5).

#### Pixel[,] Read()
Retrieve temperture data and return as an array of Pixel structure.

#### double[,] ReadTemperture()
Retrieve temperture data and return as an array of double.

#### int Width
Retrieve width of the sensor.

#### int Height
Retrieve height of the sensor.

#### double TempMax
Retrieve maximum temperature of the sensor.

#### double TempMin
Retrieve minimum temperature of the sensor.
